mqseries Functions
Gopher
mqseries Functions
PHP Manual

# mqseries_strerror

(PECL mqseries:0.10.0-0.9.0)

mqseries_strerror — Returns the error message corresponding to a result code (MQRC).

### Description

string mqseries_strerror ( int `$reason` )

mqseries_strerror() returns the message that correspond to the reason result code.

### Parameters

`reason`

  Reason code qualifying the compCode.

### Return Values

string representation of the reason code message.

### Examples

Example #1 mqseries_strerror() example

`<?php
if ($comp_code !== MQSERIES_MQCC_OK) {
printf("open CompCode:%d Reason:%d Text:%s<br>\n", $comp_code, $reason, mqseries_strerror($reason));
exit;
}
?>`

The above example will output:

    Connx CompCode:2 Reason:2059 Text:Queue manager not available for connection.

mqseries Functions
Gopher
mqseries Functions
PHP Manual